org.apache.lucene.sandbox.queries

## Class SlowFuzzyTermsEnum

- java.lang.Object
- - org.apache.lucene.index.TermsEnum
  - - org.apache.lucene.search.FuzzyTermsEnum
    - - org.apache.lucene.sandbox.queries.SlowFuzzyTermsEnum

All Implemented Interfaces:
  BytesRefIterator

Deprecated.
Use `FuzzyTermsEnum` instead.

    @Deprecated
    public final class SlowFuzzyTermsEnum
    extends FuzzyTermsEnum

Classic fuzzy TermsEnum for enumerating all terms that are similar to the specified filter term.

Term enumerations are always ordered by `FuzzyTermsEnum.getComparator()`. Each term in the enumeration is greater than all that precede it.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.FuzzyTermsEnum

`FuzzyTermsEnum.LevenshteinAutomataAttribute, FuzzyTermsEnum.LevenshteinAutomataAttributeImpl`

### Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum

`TermsEnum.SeekStatus`

### Field Summary

### Fields inherited from class org.apache.lucene.search.FuzzyTermsEnum

`maxEdits, minSimilarity, raw, realPrefixLength, scale_factor, termLength, terms, termText`

### Fields inherited from class org.apache.lucene.index.TermsEnum

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`SlowFuzzyTermsEnum(Terms terms, AttributeSource atts, Term term, float minSimilarity, int prefixLength)` Deprecated.

### Method Summary

Methods
`protected void` `maxEditDistanceChanged(BytesRef lastTerm, int maxEdits, boolean init)` Deprecated.

### Methods inherited from class org.apache.lucene.search.FuzzyTermsEnum

`docFreq, docs, docsAndPositions, getAutomatonEnum, getComparator, getMinSimilarity, getScaleFactor, next, ord, seekCeil, seekExact, seekExact, seekExact, setEnum, term, termState, totalTermFreq`

### Methods inherited from class org.apache.lucene.index.TermsEnum

`attributes, docs, docsAndPositions, seekCeil`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SlowFuzzyTermsEnum

    public SlowFuzzyTermsEnum(Terms terms,
                      AttributeSource atts,
                      Term term,
                      float minSimilarity,
                      int prefixLength)
                       throws IOException

Deprecated.

Throws:
  `IOException`

### Method Detail

#### maxEditDistanceChanged

    protected void maxEditDistanceChanged(BytesRef lastTerm,
                              int maxEdits,
                              boolean init)
                                   throws IOException

Deprecated.

Overrides:
  `maxEditDistanceChanged` in class `FuzzyTermsEnum`
Throws:
  `IOException`